Skip to main content
GET
/
api
/
v2
/
news
Press Releases
curl --request GET \
  --url 'https://api.benzinga.com/api/v2/news?token=' \
  --header 'accept: <accept>'
import requests

url = "https://api.benzinga.com/api/v2/news?token="

headers = {"accept": "<accept>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {accept: '<accept>'}};

fetch('https://api.benzinga.com/api/v2/news?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 36444586,
    "author": "GlobeNewswire",
    "created": "Mon, 01 Jan 2024 13:35:14 -0400",
    "updated": "Mon, 01 Jan 2024 13:35:15 -0400",
    "title": "Company XYZ Announces Q4 2023 Earnings Results and Strategic Initiatives",
    "teaser": "",
    "body": "",
    "url": "https://www.benzinga.com/pressreleases/24/01/g36444586/company-xyz-announces-q4-2023-earnings-results-and-strategic-initiatives",
    "image": [
      {
        "size": "thumb",
        "url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/press_release_image.jpeg"
      },
      {
        "size": "small",
        "url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/press_release_image.jpeg"
      },
      {
        "size": "large",
        "url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/press_release_image.jpeg"
      }
    ],
    "channels": [
      {
        "name": "Press Releases"
      }
    ],
    "stocks": [
      {
        "name": "AAPL",
        "cusip": "037833100",
        "isin": "US0378331005",
        "exchange": "NASDAQ"
      }
    ],
    "tags": [
      {
        "name": "Press Release"
      }
    ]
  }
]
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
[
  {
    "id": 36444586,
    "author": "GlobeNewswire",
    "created": "Mon, 01 Jan 2024 13:35:14 -0400",
    "updated": "Mon, 01 Jan 2024 13:35:15 -0400",
    "title": "Company XYZ Announces Q4 2023 Earnings Results and Strategic Initiatives",
    "teaser": "",
    "body": "",
    "url": "https://www.benzinga.com/pressreleases/24/01/g36444586/company-xyz-announces-q4-2023-earnings-results-and-strategic-initiatives",
    "image": [
      {
        "size": "thumb",
        "url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/press_release_image.jpeg"
      },
      {
        "size": "small",
        "url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/press_release_image.jpeg"
      },
      {
        "size": "large",
        "url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/press_release_image.jpeg"
      }
    ],
    "channels": [
      {
        "name": "Press Releases"
      }
    ],
    "stocks": [
      {
        "name": "AAPL",
        "cusip": "037833100",
        "isin": "US0378331005",
        "exchange": "NASDAQ"
      }
    ],
    "tags": [
      {
        "name": "Press Release"
      }
    ]
  }
]
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

API key authentication. Provide your API key as a query parameter.

Headers

accept
enum<string>
default:application/json
required

Specify return format

Available options:
application/json,
application/xml

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date.

pageSize
integer
default:15

Number of results returned. Maximum 100.

Required range: x <= 100
displayOutput
enum<string>
default:headline

Specify headline only (headline), headline + teaser (abstract), or headline + full body (full) text

Available options:
full,
abstract,
headline
date
string

The date to query for news. Shorthand for dateFrom and dateTo if they are the same. Format: yyyy-mm-dd

dateFrom
string

Date to query from point in time. Sorted by published date. Format: yyyy-mm-dd

dateTo
string

Date to query to point in time. Sorted by published date. Format: yyyy-mm-dd

updatedSince
integer

The last updated Unix timestamp (UTC) to pull and sort by

publishedSince
integer

The last published Unix timestamp (UTC) to pull and sort by

sort
enum<string>

Allows control of results sorting. Default is created, DESC. Format: field:direction. Sort Fields: id, created, updated. Sort Order: asc (ascending), desc (descending)

Available options:
id:asc,
id:desc,
created:asc,
created:desc,
updated:asc,
updated:desc
isin
string

One or more ISINs separated by a comma. Maximum 50. Format: csv

cusips
string

One or more CUSIPs separated by a comma. Maximum 50. License agreement required. Format: csv

tickers
string

One or more ticker symbols separated by a comma. Maximum 50. Format: csv

primaryTickers
string

One or more primary ticker symbols separated by a comma. Filters by primary ticker association only. Format: csv

channels
string

One or more channel names or IDs separated by a comma. Format: csv

topics
string

One or more words/phrases separated by a comma; searches Title, Tags, and Body in order of priority. Format: csv

topic_group_by
enum<string>
default:or

Logical operator for topics query. Use 'and' to require all topics, 'or' to require any topic

Available options:
and,
or
authors
string

One or more authors separated by a comma. Format: csv

format
enum<string>

Specify the desired format for the api response

Available options:
text
importance
enum<string>

Filter by importance level

Available options:
low,
medium,
high
region
string

Filter by region (e.g., 'ca' or 'canada' for Canadian content)

Response

success

author
string
Example:

"Benzinga Newsdesk"

body
string
channels
object[]
created
string
Example:

"Wed, 17 May 2017 14:20:15 -0400"

id
integer
Example:

123456

image
object[]
original_id
integer
stocks
object[]
tags
object[]
teaser
string
title
string
Example:

"Apple Announces New iPhone"

updated
string
Example:

"Wed, 17 May 2017 14:20:15 -0400"

url
string
Example:

"https://www.benzinga.com/news/123456"